## xed 0.9.1

=== Makefile ===
VERSION = 0.9.1

TCLFILES = main.tcl parse.tcl regexp.tcl buffer.tcl command.tcl nonstd-cmds.tcl

xed: $(TCLFILES)
	perl -ne 'if (/source \"(.*)\"/) { \
			open IN, $$1; print while <IN>; close IN; \
		} else { \
			print; \
		}' main.tcl > xed
	chmod a+x xed

dist: xed
	cp -r . /tmp/xed-$(VERSION)
	rm -rf /tmp/xed-$(VERSION)/CVS \
		/tmp/xed-$(VERSION)/xed-*.tar.gz \
		/tmp/xed-$(VERSION)/*~
	(cd /tmp ; tar cvf xed-$(VERSION).tar xed-$(VERSION) )
	gzip /tmp/xed-$(VERSION).tar
	mv /tmp/xed-$(VERSION).tar.gz .
	rm -rf /tmp/xed-$(VERSION)

## xed 1.0.6%2Bsarah

=== debian/control ===
Source: xed
Section: x11
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends: autotools-dev,
               debhelper (>= 9),
               gtk-doc-tools,
               intltool,
               iso-codes,
               libenchant-dev,
               libglib2.0-dev,
               libgtk-3-dev,
               libgtksourceview-3.0-dev,
               libsm-dev,
               libx11-dev,
               libxml2-dev,
               gnome-common,
               yelp-tools,
Standards-Version: 3.9.6

Package: xed
Architecture: any
Depends: iso-codes,
         xed-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
         zenity
XB-Python-Version: ${python:Versions}
Description: generic text editor
 Xed is a text editor which supports most standard editor features,
 extending this basic functionality with other features not usually
 found in simple text editors. Xed is a graphical application which
 supports editing multiple text files in one window (known sometimes as
 tabs or MDI).
 .
 Xed fully supports international text through its use of the
 Unicode UTF-8 encoding in edited files. Its core feature set includes syntax
 highlighting of source code, auto indentation and printing and print preview
 support.
 .
 Xed is also extensible through its plugin system, which currently
 includes support for spell checking, comparing files, viewing CVS
 ChangeLogs, and adjusting indentation levels.

Package: xed-common
Architecture: all
Depends: python,
         ${misc:Depends},
Description: generic text editor (common files)
 Xed is a text editor which supports most standard editor features,
 extending this basic functionality with other features not usually
 found in simple text editors. Xed is a graphical application which
 supports editing multiple text files in one window (known sometimes as
 tabs or MDI).
 .
 Xed fully supports international text through its use of the
 Unicode UTF-8 encoding in edited files. Its core feature set includes syntax
 highlighting of source code, auto indentation and printing and print preview
 support.
 .
 Xed is also extensible through its plugin system, which currently
 includes support for spell checking, comparing files, viewing CVS
 ChangeLogs, and adjusting indentation levels.
 .
 This package contains the architecture independent files.

Package: xed-dev
Architecture: any
Section: devel
Depends: xed (= ${binary:Version}),
         ${misc:Depends},
Description: generic text editor (development files)
 Xed is a text editor which supports most standard editor features,
 extending this basic functionality with other features not usually
 found in simple text editors. Xed is a graphical application which
 supports editing multiple text files in one window (known sometimes as
 tabs or MDI).
 .
 Xed fully supports international text through its use of the
 Unicode UTF-8 encoding in edited files. Its core feature set includes syntax
 highlighting of source code, auto indentation and printing and print preview
 support.
 .
 Xed is also extensible through its plugin system, which currently
 includes support for spell checking, comparing files, viewing CVS
 ChangeLogs, and adjusting indentation levels.
 .
 This package contains the development files for building Xed plugins.

Package: xed-dbg
Section: debug
Priority: extra
Architecture: any
Depends: xed (= ${binary:Version}),
         ${misc:Depends},
Description: generic text editor (debugging symbols)
 Xed is a text editor which supports most standard editor features,
 extending this basic functionality with other features not usually
 found in simple text editors. Xed is a graphical application which
 supports editing multiple text files in one window (known sometimes as
 tabs or MDI).
 .
 Xed fully supports international text through its use of the
 Unicode UTF-8 encoding in edited files. Its core feature set includes syntax
 highlighting of source code, auto indentation and printing and print preview
 support.
 .
 Xed is also extensible through its plugin system, which currently
 includes support for spell checking, comparing files, viewing CVS
 ChangeLogs, and adjusting indentation levels.
 .
 This package contains debugging symbols for Xed. It is
 provided to help debugging problems.
 .
 The debugging symbols are installed in /usr/lib/debug and will
 automatically be used by gdb.

Package: xed-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Description: generic text editor (documentation files)
 Xed is a text editor which supports most standard editor features,
 extending this basic functionality with other features not usually
 found in simple text editors. Xed is a graphical application which
 supports editing multiple text files in one window (known sometimes as
 tabs or MDI).
 .
 Xed fully supports international text through its use of the
 Unicode UTF-8 encoding in edited files. Its core feature set includes syntax
 highlighting of source code, auto indentation and printing and print preview
 support.
 .
 Xed is also extensible through its plugin system, which currently
 includes support for spell checking, comparing files, viewing CVS
 ChangeLogs, and adjusting indentation levels.
 .
 This package contains the documentation files.

=== debian/rules ===
#!/usr/bin/make -f

DHFLAGS=--parallel

%:
	dh $@ $(DHFLAGS)

override_dh_install:
	rm -rfv debian/tmp/usr/lib/*/xed/plugin-loaders/*.la
	rm -rfv debian/tmp/usr/lib/*/xed/plugins/*.la
	dh_install --fail-missing

override_dh_auto_configure:
	# upstream tarball is without configure. autogen.sh will create it
	NOCONFIGURE=1 ./autogen.sh
	dh_auto_configure $(DHFLAGS) -- \
		--disable-silent-rules \
		--libexecdir=/usr/lib/ \
		--disable-python \
		--enable-gtk-doc \
		--with-gtk=3.0

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_test:
	DEB_BUILD_OPTIONS=nocheck dh_auto_test

override_dh_strip:
	dh_strip --dbg-package=xed-dbg

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## xed 1.0.6+sarah

=== debian/changelog ===
xed (1.0.6+sarah) sarah; urgency=medium

  [ Michael Webster ]
  * xed-notebook.c: check vertical mouse position when determining whether a tab is being manipulated.  We were just checking horizontal position, which meant that depending on where you start a drag-and-drop, it might think you're trying to drag a tab instead, causing undesirable behavior.

  [ Clement Lefebvre ]
  * Updated translations
  * Added new translations to po/LINGUAS

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 25 Jun 2016 11:38:33 +0100

xed (1.0.5) sarah; urgency=medium

  * Updated translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 24 May 2016 14:30:35 +0100

xed (1.0.4) sarah; urgency=medium

  [ monsta ]
  * fix a few build warnings

  [ itzexor ]
  * Fix build with gnome-common

  [ Sorokin Alexei ]
  * Remove MATE leftovers
  * Warnings fixes

  [ Clement Lefebvre ]
  * GTK 3.10 compatibility

  [ JosephMcc ]
  * gtk: We're targeting gtk3.10 so clean up all the gtk version checks and go with that

  [ itzexor ]
  * xed-close-confirmation-dialog: fix scrolledwindow minimum height

  [ JosephMcc ]
  * notebooks: Remove the extra frame from the main and documents panel scrolled windows

  [ Clement Lefebvre ]
  * Use Ctrl+Y for Redo
  * Updated translations

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 27 Apr 2016 14:30:49 +0100

xed (1.0.3) sarah; urgency=medium

  * packaging: switch to gnome-common
  * Fixed wrong dconf paths

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 10 Feb 2016 10:18:18 +0000

xed (1.0.2) sarah; urgency=medium

  * Renamed Xedit -> Xed (avoid name clash with x11-apps's xedit)
  * Switch autogen.sh from mate-common to gnome-common
  * Fix incorrect git URL in HACKING
  * Clean up GTK support
  * xedit-status-combo-box: Clean up and fix deprecations

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 06 Feb 2016 16:43:25 +0000

xed (1.0.1) sarah; urgency=medium

  * Remove branding from window title and menu item
  * Removed more MATE references
  * Fixed POTFILES, added makepot and pot file
  * Removed Transifex configuration
  * Cleaned up about dialog
  * Cleaned up Help

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 27 Jan 2016 11:17:20 +0000

xed (1.0.0) sarah; urgency=medium

  * Initial version

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Jan 2016 03:21:00 +0100

## xed 1.2.2+serena

=== debian/changelog ===
xed (1.2.2+serena) serena; urgency=medium

  [ JosephMcc ]
  * searchbar: Add a close button
  * searchbar: Make sure we clear highlighting when the last character is removed

  [ Clement Lefebvre ]
  * Search: Fix search jumping to next result while typing
  * Search: Perform a search when case-sensitive or entire-word buttons are clicked
  * l10n: Add missing pot file
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 12 Dec 2016 12:43:35 +0000

xed (1.2.1) serena; urgency=medium

  * l10n: Improve some of the new msgids
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Nov 2016 00:36:06 +0000

xed (1.2.0) serena; urgency=medium

  [ JosephMcc ]
  * configure: Don't require passing --with-gtk=3.0 to build

  [ Clement Lefebvre ]
  * Fixed NEWS files
  * Add "notepad" to the list of menu item keywords
  * Fixed some UI elements not localized
  * Makepot
  * Revert "Makepot"
  * Revert "Fixed some UI elements not localized"
  * When running as root, add an infobar to warn about Elevated Privileges
  * Toolbar: Don't emphasize toolbar items (save, open, undo)
  * Give Xed a Sublime-like searchbar
  * Reformated code to conform to Mint coding style
  * Default Settings: Changed line width to 120 chars and enabled "insert-spaces".

  [ JosephMcc ]
  * toolbar: Revamp the main toolbar style
  * ui: Convert the remaining actions to use symbolic icons
  * prefs: Remove now unused toolbar style prefs
  * ui: Don't hide the main notebook tabs in fullscreen
  * xed-close-button: Convert to using a symbolic icon
  * filbrowser-plugin: Convert indentation to spaces and remove extra whitespace
  * filebrowser-plugin: Convert most icons to symbolic icons

  [ Clement Lefebvre ]
  * Update pot file

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 02 Nov 2016 15:55:04 +0000

xed (1.0.6) sarah; urgency=medium

  [ Michael Webster ]
  * xed-notebook.c: check vertical mouse position when determining whether a tab is being manipulated.  We were just checking horizontal position, which meant that depending on where you start a drag-and-drop, it might think you're trying to drag a tab instead, causing undesirable behavior.

  [ Clement Lefebvre ]
  * Updated translations
  * Added new translations to po/LINGUAS

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 25 Jun 2016 11:38:33 +0100

## xed 1.4.6%2Bsonya

=== debian/changelog ===
xed (1.4.6+sonya) sonya; urgency=medium

  [ githpr ]
  * Use correct value to save the window state in gsettings. (#147)

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 15 Jul 2017 21:37:18 +0200

xed (1.4.5) sonya; urgency=medium

  [ JosephMcc ]
  * Create ISSUE_TEMPLATE.md

  [ Clement Lefebvre ]
  * Packaging: Remove dependency on libpeas-1.0-0-python3loader in LMDE

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 04 Jul 2017 13:11:46 +0200

xed (1.4.4) sonya; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 28 Jun 2017 10:11:34 +0200

xed (1.4.3) sonya; urgency=medium

  [ Mike Krüger ]
  * bugfix: ugly white border (gtk 3.20>) (#128)

  [ JosephMcc ]
  * filebrowser: Change an icon name (#132)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 20 Jun 2017 15:22:10 +0200

xed (1.4.2) sonya; urgency=medium

  [ leigh123linux ]
  * fix gtksourceprintcompositor.h includes warning (#117)

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 23 May 2017 13:35:28 +0100

xed (1.4.1) sonya; urgency=medium

  * Depend on gtksourceview-3.0 >= 3.14.0
  * Only use gtk_text_view_set_top_margin() with GTK 3.18+
  * Packaging: Change description
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 06 May 2017 14:57:27 +0100

xed (1.4.0) sonya; urgency=medium

  [ Clement Lefebvre ]
  * Search: Don't jump to the next result when toggling search options

  [ JosephMcc ]
  * close-confirmation-dialog: Clean up code styling
  * close-confirmation-dialog: Clean up some deprecations
  * xed-encodings-dialog: Clean up code styling
  * xed-encodings-dialog: Clean up some deprecations
  * xed-encodings-combo-box: Clean up code styling
  * xed-commands-file: Clean up code styling
  * xed-commands-file: Clean up deprecations
  * xed-app: Clean up code styling
  * xed-app: Remove an unused variable
  * xed-commands-search: Fix some missing casts
  * xed-document: Clean up code style
  * xed-document: Remove use of deprecated gdk_color_parse
  * xed-documents-panel: Cleanup code styling
  * xed-documents-panel: Remove an unused variable
  * xed-message-bus: Clean up code styling
  * xed-message-bus: Clean up an unused variables
  * xed-io-error-message-area: Clean up code styling
  * xed-io-error-message-area: Fix up some deprecations
  * xed-panel: Clean up code formatting
  * plugins: Drop support for old style python plugins
  * build: Clean up a bit more of the gtk2 and --enable-python leftovers
  * build GObject introspection data
  * Fix some introspection warnings
  * Remove a couple of invalid annotations
  * xed-window: Remove an unused function
  * Drop some leftover 2.xx comments from gnome/pluma
  * Port plugin system to libpeas
  * changecase-plugin: Port to libpeas
  * docinfo-plugin: Port to libpeas
  * filebrowser-plugin: Port to libpeas
  * modelines-plugin: Port to libpeas
  * sort-plugin: Port to libpeas
  * spell-plugin: Port to libpeas
  * taglist-plugin: Port to libpeas
  * time-plugin: Port to libpeas
  * trailsave-plugin: Port to libpeas
  * plugins: Make them actually recognized and loaded by Xed
  * Remove old plugin system and docs for it
  * enable dh_girepository helper to fill ${gir:Depends} properly
  * taglist plugin: don't look for taglist in non-existing legacy dirs
  * xed-panel: Clean up the layout of the panels
  * xed-sort-plugin.c: Clean up code styling
  * Add buttons to the statusbar to show/hide the panels
  * xed-window: Stop using deprecated (v/h)box
  * xed-panel: Remove the header and close button
  * xed-panel: Simplify panel building a bit
  * xed-panel: Move the notebook tabs to the top
  * Add a few style classes
  * xed-statusbar: Clean up the styling a bit
  * Add view menu entry for word wrap
  * preferences-dialog: Clean up code styling
  * preferences-dialog: Clean up uses of GtkStock
  * Allow scrolling on notebook tabs to change the active page
  * xed-prefs-manager-app: Remove some leftover logging
  * xed-notebook.c: Clean up the code formatting
  * xed-pref-manager-app.c: Clean up code style
  * xed-prefs-manager-app.c: Clean up an unused variable
  * notebooks: Don't show tabs when the notebook only has one page
  * xed-window.c: Fix a few missing casts
  * xed-utils: Clean up code styling
  * xed-utils.h: Clean up code styling
  * xed-utils: Remove a couple functions
  * xed-panel: Clean up more uses of GtkStock
  * xed-panel.c: Add a couple of missing casts
  * xed-status-combo-box: Don't use deprecated GtkArrow
  * xed-status-combo-box.c: Clean up some code styling
  * xed-tab.c: Clean up code style
  * xed-tab: Clean up some uses of GtkStock
  * xed-window: Use a better icon for the documents panel tab
  * xed-print-preview.c: Clean up code styling
  * xed-print-preview.c: Restyle the toolbar
  * xed-print-preview.c: Don't you deprecated gtk_layout_get_*adjustment
  * xed-progress-message-area.c: Clean up code style
  * xed-progress-message-area: Clean up more uses of GtkStock
  * Install introspection data and lib into a private dir
  * Add new (App/Window/View)Activatable interfaces for plugins
  * docinfo-plugin: Update for WindowActivatable changes
  * sort-plugin: Port the sort plugin to WindowActivatable
  * spell-plugin: Update to the new WindowActivatable interface
  * time-plugin: Port to WindowActivatable
  * changecase-plugin: Port to WindowActivatable
  * taglist-plugin: Port to WindowActivatable
  * trailsave-plugin: Port to WindowActivatable
  * time-plugin: Clean up a bit from libpeas port
  * spell-plugin: Clean up a few things
  * Clean up uses of deprecated GtkMisc
  * xed-tab-label.c/h: Clean up code styling
  * xed-file-dialog.c/h: Clean up code styling
  * xed-statusbar.c/h: Clean up code styling
  * xed-statusbar: Fix a missing cast
  * xed-searchbar: Add a couple missing casts and remove an unused variable
  * xed-searchbar.c/h: Clean up styling a bit


## xed 1.4.6+betsy

=== debian/changelog ===
xed (1.4.6+betsy) sonya; urgency=medium

  [ githpr ]
  * Use correct value to save the window state in gsettings. (#147)

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 15 Jul 2017 21:37:18 +0200

=== debian/watch ===
version=3
http://git.mate-desktop.org/xed/ \
    snapshot/xed-(\d\.(?:[0-9]+|)[24680]\.\d)\.tar\.xz

## xed 1.6.3+sylvia

=== debian/changelog ===
xed (1.6.3+sylvia) sylvia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 23 Nov 2017 12:24:36 +0000

xed (1.6.2) sylvia; urgency=medium

  [ JosephMcc ]
  * xed-status-combo-box: Simplify the widget heirarchy (#185)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 17 Nov 2017 10:42:21 +0000

xed (1.6.1) sylvia; urgency=medium

  * l10n: Fix localization in TextSize plugin

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 15 Nov 2017 13:11:20 +0000

xed (1.6.0) sylvia; urgency=medium

  [ JosephMcc ]
  * translations: Add the textsize plugin to POTFILES.in (#151)

  [ Clement Lefebvre ]
  * l10n: Update POT file

  [ JosephMcc ]
  * text zoom: Put a limit on the min and max zoom (#137)

  [ Gavin D. Howard ]
  * Make the trailsave plugin also strip trailing lines (#135)

  [ JosephMcc ]
  * Don't present users with the hidden highlight languages (#167)
  * xed-view: Fix a crash when right clicking the left gutter (#166)
  * Minimap (#175)

  [ Clement Lefebvre ]
  * l10n: Update POT file
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 03 Nov 2017 21:13:44 +0000

xed (1.4.6) sonya; urgency=medium

  [ githpr ]
  * Use correct value to save the window state in gsettings. (#147)

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 15 Jul 2017 21:37:18 +0200

=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,11 @@
 DHFLAGS=--parallel
 
 %:
-	dh $@ $(DHFLAGS)
+	dh $@ $(DHFLAGS) --with gir
 
 override_dh_install:
-	rm -rfv debian/tmp/usr/lib/*/xed/plugin-loaders/*.la
 	rm -rfv debian/tmp/usr/lib/*/xed/plugins/*.la
+	rm -rfv debian/tmp/usr/lib/*/xed/*.la
 	dh_install --fail-missing
 
 override_dh_auto_configure:
@@ -16,9 +16,7 @@
 	dh_auto_configure $(DHFLAGS) -- \
 		--disable-silent-rules \
 		--libexecdir=/usr/lib/ \
-		--disable-python \
-		--enable-gtk-doc \
-		--with-gtk=3.0
+		--enable-gtk-doc
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS

## xed 1.8.3+tara

=== debian/changelog ===
xed (1.8.3+tara) tara; urgency=medium

  [ Michael Webster ]
  * search bar/xed-history-entry: Set a 'width-chars' on the GtkEntry widgets of the search and replace entry widgets, and allow their labels to ellipsize upon resizing.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 17 Jul 2018 09:32:59 +0200

xed (1.8.2) tara; urgency=medium

  [ NikoKrause ]
  * missing l10n: Help -> Shortcuts (#229)

  [ Clement Lefebvre ]
  * l10n: Update POT file
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Jun 2018 13:21:55 +0200

xed (1.8.1) tara; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 22 May 2018 12:53:38 +0100

xed (1.8.0) tara; urgency=medium

  [ Clement Lefebvre ]
  * Add CI configuration

  [ Leigh Scott ]
  * Fix clang compile issue (#209)
  * Fix Py*DeprecationWarning (#202)

  [ JosephMcc ]
  * Pull upstream fixes for gtk and gtksourceview changes
  * preferences-dialog: Complete revamp
  * xed-window: Rework the fullscreen toolbar
  * xed-status-combo-box: Remove some deprecated css functionality
  * xed-view-frame: Fix the css for the minimap frame
  * xed-notebook: Clean up some gtk3.20+ conditionals
  * Add a shortcuts window
  * xed-view: Add shortcuts for change case
  * debian: Add --enable-silent-rules to debian/rules
  * css: Add support for Adwaita
  * xed-searchbar: Fix the size of the searchbar close button
  * xed-spell-checker.c: Clean up the code formatting
  * spell-plugin: Update for removal of some deprecated functionality
  * xed-notebook: Allow changing tabs with mouse back/forward buttons
  * Fix a couple of issues turned up by Codacy
  * Clean up a few build warnings
  * spell-plugin: Port to gspell
  * spell-plugin: Fix a link to the help file

  [ Nic ]
  * Add C tags to the taglist plugin (#188)

  [ Clement Lefebvre ]
  * CI: Don't build for Mint 18

  [ JosephMcc ]
  * xed-window: Fix a potential crash

  [ Mickael Albertus ]
  * Creation of plugin Word completion (#199)

  [ Clement Lefebvre ]
  * Wordcompletion: Fix a few mgsids
  * l10n: Update POT file

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 06 May 2018 16:43:18 +0100

xed (1.6.3) sylvia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 23 Nov 2017 12:24:36 +0000

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,22 @@
 Maintainer: Linux Mint <root@linuxmint.com>
 Build-Depends: autotools-dev,
                debhelper (>= 9),
+               gobject-introspection,
                gtk-doc-tools,
                intltool,
-               iso-codes,
-               libenchant-dev,
+               libgirepository1.0-dev,
                libglib2.0-dev,
+               libgspell-1-dev,
                libgtk-3-dev,
                libgtksourceview-3.0-dev,
+               libpeas-dev,
+               libxapp-dev,
                libsm-dev,
                libx11-dev,
                libxml2-dev,
                gnome-common,
+               python3,
+               python3-gi,
                yelp-tools,
 Standards-Version: 3.9.6
 
@@ -25,9 +30,13 @@
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends},
+         libpeas-1.0-0-python3loader | debian-system-adjustments,
+         python3,
+         python3-gi,
+         xapps-common,
          zenity
 XB-Python-Version: ${python:Versions}
-Description: generic text editor
+Description: Text editor
  Xed is a text editor which supports most standard editor features,
  extending this basic functionality with other features not usually
  found in simple text editors. Xed is a graphical application which
@@ -47,7 +56,7 @@
 Architecture: all
 Depends: python,
          ${misc:Depends},
-Description: generic text editor (common files)
+Description: Text editor (common files)
  Xed is a text editor which supports most standard editor features,
  extending this basic functionality with other features not usually
  found in simple text editors. Xed is a graphical application which
@@ -70,7 +79,7 @@
 Section: devel
 Depends: xed (= ${binary:Version}),
          ${misc:Depends},
-Description: generic text editor (development files)
+Description: Text editor (development files)
  Xed is a text editor which supports most standard editor features,
  extending this basic functionality with other features not usually
  found in simple text editors. Xed is a graphical application which
@@ -94,7 +103,7 @@
 Architecture: any
 Depends: xed (= ${binary:Version}),
          ${misc:Depends},
-Description: generic text editor (debugging symbols)
+Description: Text editor (debugging symbols)
  Xed is a text editor which supports most standard editor features,
  extending this basic functionality with other features not usually
  found in simple text editors. Xed is a graphical application which
@@ -120,7 +129,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends},
-Description: generic text editor (documentation files)
+Description: Text editor (documentation files)
  Xed is a text editor which supports most standard editor features,
  extending this basic functionality with other features not usually
  found in simple text editors. Xed is a graphical application which

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	# upstream tarball is without configure. autogen.sh will create it
 	NOCONFIGURE=1 ./autogen.sh
 	dh_auto_configure $(DHFLAGS) -- \
-		--disable-silent-rules \
+		--enable-silent-rules \
 		--libexecdir=/usr/lib/ \
 		--enable-gtk-doc

## xed 2.0.2

=== debian/changelog ===
xed (2.0.2-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Disable -dbg and automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 31 Dec 2018 10:59:57 -0800

xed (2.0.2) tessa; urgency=medium

  [ Clement Lefebvre ]
  * Fix non-translated desktop file

  [ Michael Webster ]
  * highlight mode window:  Make activatable via shortcut (ctrl-shift-H), focus the search entry by default, and allow Escape to cancel the dialog from the search entry.

  [ chingyinwan123 ]
  * Fix warnings when building xed 2.0.1 (#264)

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Dec 2018 14:10:08 +0000

xed (2.0.1) tessa; urgency=medium

  [ Leigh Scott ]
  * Switch build instructions for meson port. (#263)

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 27 Nov 2018 18:33:21 +0000

xed (2.0.0) tessa; urgency=medium

  [ Tomasz Gąsior ]
  * Import GeditHighlightModeDialog and -Selector from Gedit to Xed.
  * Use highlight dialog instead submenu in "View" menu.
  * XedWindow cleanup.
  * Import GeditStatusMenuButton.
  * Fix compilation warning.
  * Use popover with highlight selector instead loooong menu in statusbar.
  * Use XedStatusMenuButton instead -ComboBox in statusbar, for consistency.
  * Kill XedStatusComboBox. It's not used now.

  [ JosephMcc ]
  * xed-window: Indicate if we are currently using spaces or tabs in statusbar (#246)

  [ NikoKrause ]
  * Use icon for keyboard shortcuts help entry (#255)
  * Rearrange help entries (xapp consistency) (#256)
  * close dialog: use "suggested-action" style class (#261)

  [ Stephen Collins ]
  * Port to meson (#258)

  [ Clement Lefebvre ]
  * Fix merge issues
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 19 Nov 2018 11:34:46 +0000

xed (1.8.3) tara; urgency=medium

  [ Michael Webster ]
  * search bar/xed-history-entry: Set a 'width-chars' on the GtkEntry widgets of the search and replace entry widgets, and allow their labels to ellipsize upon resizing.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 17 Jul 2018 09:32:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: xed
 Section: x11
 Priority: optional
-Maintainer: Linux Mint <root@linuxmint.com>
-Build-Depends: autotools-dev,
-               debhelper (>= 9),
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Linux Mint <root@linuxmint.com>
+Build-Depends: debhelper (>= 9),
                gobject-introspection,
                gtk-doc-tools,
                intltool,
@@ -13,7 +13,7 @@
                libgtk-3-dev,
                libgtksourceview-3.0-dev,
                libpeas-dev,
-               libxapp-dev,
+               libxapp-dev (>= 1.2.2),
                libsm-dev,
                libx11-dev,
                libxml2-dev,
@@ -21,6 +21,7 @@
                python3,
                python3-gi,
                yelp-tools,
+               meson
 Standards-Version: 3.9.6
 
 Package: xed
@@ -97,34 +98,6 @@
  .
  This package contains the development files for building Xed plugins.
 
-Package: xed-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: xed (= ${binary:Version}),
-         ${misc:Depends},
-Description: Text editor (debugging symbols)
- Xed is a text editor which supports most standard editor features,
- extending this basic functionality with other features not usually
- found in simple text editors. Xed is a graphical application which
- supports editing multiple text files in one window (known sometimes as
- tabs or MDI).
- .
- Xed fully supports international text through its use of the
- Unicode UTF-8 encoding in edited files. Its core feature set includes syntax
- highlighting of source code, auto indentation and printing and print preview
- support.
- .
- Xed is also extensible through its plugin system, which currently
- includes support for spell checking, comparing files, viewing CVS
- ChangeLogs, and adjusting indentation levels.
- .
- This package contains debugging symbols for Xed. It is
- provided to help debugging problems.
- .
- The debugging symbols are installed in /usr/lib/debug and will
- automatically be used by gdb.
-
 Package: xed-doc
 Section: doc
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

DHFLAGS=--parallel

%:
	dh $@ $(DHFLAGS) --with gir

override_dh_auto_configure:
	meson debian/build \
		--prefix=/usr \
		--buildtype=plain \
		-D docs=true \
		-D deprecated_warnings=false

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_test:
	ninja -C debian/build test

override_dh_strip:
	dh_strip --no-automatic-dbgsym

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

override_dh_auto_install:
	DESTDIR=${CURDIR}/debian/tmp \
	ninja -C debian/build install

override_dh_auto_build:
	ninja -C debian/build

## xed 2.0.2+tessa

=== debian/changelog ===
xed (2.0.2+tessa) tessa; urgency=medium

  [ Clement Lefebvre ]
  * Fix non-translated desktop file

  [ Michael Webster ]
  * highlight mode window:  Make activatable via shortcut (ctrl-shift-H), focus the search entry by default, and allow Escape to cancel the dialog from the search entry.

  [ chingyinwan123 ]
  * Fix warnings when building xed 2.0.1 (#264)

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Dec 2018 14:10:08 +0000

## xed 2.2.3%2Btina

=== debian/changelog ===
xed (2.2.3+tina) tina; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 28 Jul 2019 15:03:33 +0200

xed (2.2.2) tina; urgency=medium

  * Preferences: Make dialog slightly taller

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 25 Jul 2019 10:59:55 +0200

xed (2.2.1) tina; urgency=medium

  [ Alexander Drozdov ]
  * Automatically open new Xed window on current workspace... (#319)

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 10 Jul 2019 11:26:12 +0200

xed (2.2.0) tina; urgency=medium

  [ Eli Schwartz ]
  * meson: require itstool command to be available (#266)

  [ JosephMcc ]
  * statusbar: Fix the menu button styling (#281)
  * cleanup: Remove an unused Makefile.am (#280)

  [ Stephen Collins ]
  * print preview: fix layout drawing for 1X2 and 2X1 layouts (#291)
  * Filebrowser: Kill the click policy property with fire (#293)

  [ JosephMcc ]
  * xed-window: Fix the tabs/spaces label in the statusbar (#283)
  * xed-notebook: Always show the main notebook tabs (#285)

  [ Stephen Collins ]
  * Fix some deprecation warnings (#289)
  * print preview: fix logic for forward button sensitivity (#292)
  * Add toggle comment and toggle comment block actions w/ keybindings (#290)

  [ Clement Lefebvre ]
  * l10n: Update POT

  [ Stephen Collins ]
  * print job: replace some deprecated font button functions (#294)
  * Replace deprecated gdk_cursor_new with gdk_cursor_new_for_display (#295)
  * Print preview: remove a couple calls to gtk_adjustment_value_changed (#296)
  * Search: replace a few functions that were deprecated in Gtk 3.22 (#297)
  * Fix stuttering and disappearing of the toolbar when fullscreen (#300)
  * Switch deprecated gtk_icon_info_free to g_object_unref (#301)
  * Remove references to deprecated GTK_STOCK_* (#298)
  * Remove deprecated call to gtk_widget_override_background_color (#299)
  * Tab width popup: only select a menu item when the menu is open (#311)
  * Simplify an if statement. The logic is identical, but easier to read (#314)

  [ Leigh Scott ]
  * Add minimum required version for xapp (#313)

  [ Stephen Collins ]
  * Prevent a warning when closing the window while print preview is open (#315)

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 29 Jun 2019 17:23:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: xed
 Section: x11
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Linux Mint <root@linuxmint.com>
+Maintainer: Linux Mint <root@linuxmint.com>
 Build-Depends: debhelper (>= 9),
                gobject-introspection,
                gtk-doc-tools,
@@ -13,7 +12,7 @@
                libgtk-3-dev,
                libgtksourceview-3.0-dev,
                libpeas-dev,
-               libxapp-dev (>= 1.2.2),
+               libxapp-dev,
                libsm-dev,
                libx11-dev,
                libxml2-dev,
@@ -98,6 +97,34 @@
  .
  This package contains the development files for building Xed plugins.
 
+Package: xed-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: xed (= ${binary:Version}),
+         ${misc:Depends},
+Description: Text editor (debugging symbols)
+ Xed is a text editor which supports most standard editor features,
+ extending this basic functionality with other features not usually
+ found in simple text editors. Xed is a graphical application which
+ supports editing multiple text files in one window (known sometimes as
+ tabs or MDI).
+ .
+ Xed fully supports international text through its use of the
+ Unicode UTF-8 encoding in edited files. Its core feature set includes syntax
+ highlighting of source code, auto indentation and printing and print preview
+ support.
+ .
+ Xed is also extensible through its plugin system, which currently
+ includes support for spell checking, comparing files, viewing CVS
+ ChangeLogs, and adjusting indentation levels.
+ .
+ This package contains debugging symbols for Xed. It is
+ provided to help debugging problems.
+ .
+ The debugging symbols are installed in /usr/lib/debug and will
+ automatically be used by gdb.
+
 Package: xed-doc
 Section: doc
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	ninja -C debian/build test
 
 override_dh_strip:
-	dh_strip --no-automatic-dbgsym
+	dh_strip --dbg-package=xed-dbg
 
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..

## xed 2.2.3+cindy

=== debian/changelog ===
xed (2.2.3+cindy) tina; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 28 Jul 2019 15:03:33 +0200

## xed 2.4.2+tricia

=== debian/changelog ===
xed (2.4.2+tricia) tricia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 11 Dec 2019 14:49:32 +0000

xed (2.4.1) tricia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Nov 2019 17:14:23 +0000

xed (2.4.0) tricia; urgency=medium

  [ Michael Webster ]
  * print-preview: add a print button to the preview toolbar, to immediately print the previewed document.

  [ nardholio ]
  * Packaging: remove dependency on libpeas-1.0-0-python3loader (#325)

  [ Pavel Shlyak ]
  * Cleanup (#321)

  [ Leigh Scott ]
  * add open uri plugin (#317)

  [ Clement Lefebvre ]
  * open-uri: Make the plugin built-in
  * open-uri: Simplify and fix translations
  * Print preview: Reuse existing msgid

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 22 Nov 2019 12:12:12 +0000

xed (2.2.3) tina; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 28 Jul 2019 15:03:33 +0200

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,6 @@
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends},
-         libpeas-1.0-0-python3loader | debian-system-adjustments,
          python3,
          python3-gi,
          xapps-common,

## xed 2.6.2+ulyana

=== meson_options.txt ===
option(
	'enable_spell',
	type : 'boolean',
	value : true,
	description : 'enable gspell'
)
option(
	'enable_gvfs_metadata',
	type : 'boolean',
	value : true,
	description : 'enable gvfs metadata'
)
option('docs',
    type: 'boolean',
    value: false,
    description: 'Build the API references (requires gtk-doc)'
)
option(
	'deprecated_warnings',
    type : 'boolean',
    value : false,
    description: 'Show build warnings for deprecations'
)

=== debian/changelog ===
xed (2.6.2+ulyana) ulyana; urgency=medium

  * CI: Update targets

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 24 Jun 2020 12:44:58 +0100

xed (2.6.1) ulyana; urgency=medium

  [ NikoKrause ]
  * l10n: add missing strings for new plugin joinlines (#385)

  [ Clement Lefebvre ]
  * l10n: Update POT
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 24 Jun 2020 12:06:37 +0100

xed (2.6.0) ulyana; urgency=medium

  [ Stephen Collins ]
  * Disable the comments action when not supported to avoid confusion
  * Trailsave plugin: remove second trailing line
  * xed-tab-label.c: remove unused event box preventing scroll events

  [ Michael Webster ]
  * xed-tab-label.c: Apply tab tooltip to the box containing the tab's label and icon, regression from 808e77b052322b8f.

  [ Stephen Collins ]
  * Add .gitignore file

  [ Clement Lefebvre ]
  * l10n: Update translations

  [ Stephen Collins ]
  * Add settings widget to the prefs dialog for the implicit newline setting

  [ icarter09 ]
  * Created initial test dir. Created File menu test.
  * Removed override_dh_auto_test so tests are not ran by default when building with dpkg.
  * Removed link that was not working.
  * Created new section for the Word Wrap shortcut. Increased height attribute to fit new section so a new page is not created.
  * Added logic to support using replace all across documents.
  * Added logic to check if the focus need to be set. Squashed formatting commits.

  [ Clement Lefebvre ]
  * Packaging: Remove python dependency

  [ Isaac Carter ]
  * Fixed memory issue found by valgrind (#366)

  [ icarter09 ]
  * Cleaned up broken links.
  * Changed shortcut window to be non-model.
  * Added wait entry to man page. Removed logic that cause wait to open extra tab.
  * Added screen captures to README. Changed README to README.md and added markdown. Updated README with plugins and debian build instructions.

  [ Isaac Carter ]
  * Update README.md

  [ icarter09 ]
  * Added JoinLines plugin. Removed logic to split lines. Moved Join Line shortcut from Layout to Editing section.

  [ JosephMcc ]
  * taglist: Use a symbolic icon in the notebook sidebar

  [ Clement Lefebvre ]
  * l10n: Update POT
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 11 May 2020 13:58:58 +0100

xed (2.4.2) tricia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 11 Dec 2019 14:49:32 +0000

=== debian/control ===
--- 
+++ 
@@ -53,8 +53,7 @@
 
 Package: xed-common
 Architecture: all
-Depends: python,
-         ${misc:Depends},
+Depends: ${misc:Depends},
 Description: Text editor (common files)
  Xed is a text editor which supports most standard editor features,
  extending this basic functionality with other features not usually

## xed 2.8.4+ulyssa

=== debian/changelog ===
xed (2.8.4+ulyssa) ulyssa; urgency=medium

  [ Eli Schwartz ]
  * fixup! cleanup: remove code dropped in commit 67892da099357e24b3fd3c31fa758947b1dfc47a

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 02 Jan 2021 17:33:30 +0000

xed (2.8.3) ulyssa; urgency=medium

  * Packaging: Add missing dependency on gir1.2-gtksource-4

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 14 Dec 2020 08:11:29 +0000

xed (2.8.2) ulyssa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Dec 2020 12:14:34 +0000

xed (2.8.1) ulyssa; urgency=medium

  [ Eli Schwartz ]
  * cleanup: remove code dropped in commit 67892da099357e24b3fd3c31fa758947b1dfc47a
  * remove never-used variable added in commit 9e805380d4aa6338ca1b85d06b5dbf60e9fb0cbe

  [ Clement Lefebvre ]
  * bracketcompletion: Enable plugin by default
  * Remove links in plugin about dialogs

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 08 Dec 2020 10:11:12 +0000

xed (2.8.0) ulyssa; urgency=medium

  [ JosephMcc ]
  * Port to Gtksourceview4
  * Add a new window desktop action
  * plugins: Clean up deprecated preprcessor commands
  * Clean up remaining deprecated preprocessor commands
  * xed-highlight-mode-selector.c: Fix a couple of missing casts
  * textsize plugin: Zoom text regardless of selection
  * xed-highlight-mode-dialog/selector: Clean up code style
  * xed-completion-plugin.c: Clean up the code style

  [ Hrutvik Suthar ]
  * auto bracket complete feature   - added bracket-complete dir in plugins   - gtksourceview min depedency change to 4.0.3

  [ Michael Webster ]
  * Add XAppFavorites support to the file menu.
  * meson.build: bump xapp version.

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 30 Nov 2020 11:25:34 +0000

xed (2.6.2) ulyana; urgency=medium

  * CI: Update targets

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 24 Jun 2020 12:44:58 +0100

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
                libglib2.0-dev,
                libgspell-1-dev,
                libgtk-3-dev,
-               libgtksourceview-3.0-dev,
+               libgtksourceview-4-dev,
                libpeas-dev,
-               libxapp-dev,
+               libxapp-dev (>= 1.9),
                libsm-dev,
                libx11-dev,
                libxml2-dev,
@@ -32,7 +32,8 @@
          ${shlibs:Depends},
          python3,
          python3-gi,
-         xapps-common,
+         gir1.2-gtksource-4,
+         xapps-common (>= 1.9.0),
          zenity
 XB-Python-Version: ${python:Versions}
 Description: Text editor

=== debian/rules ===
--- 
+++ 
@@ -15,9 +15,6 @@
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
 
-override_dh_auto_test:
-	ninja -C debian/build test
-
 override_dh_strip:
 	dh_strip --dbg-package=xed-dbg

## xed 3.0.2+debbie

=== debian/changelog ===
xed (3.0.2+debbie) uma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 25 Jun 2021 15:15:39 +0100

xed (3.0.1) uma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Jun 2021 11:04:22 +0100

xed (3.0.0) uma; urgency=medium

  [ Talkashie ]
  * Fix various typos in index.docbook

  [ Soapux ]
  * Fix permissions

  [ okaestne ]
  * Implement #225: Options to render whitespace

  [ Michael Webster ]
  * i18n: Don't translate gsettings strings.

  [ okaestne ]
  * Fix crashes when no documents (tabs) are open

  [ Justin Schiff ]
  * Uses strtol instead of atoi so that we can properly handle errors.
  * Use CLAMP macro instead

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 01 Jun 2021 12:56:22 +0100

xed (2.8.4) ulyssa; urgency=medium

  [ Eli Schwartz ]
  * fixup! cleanup: remove code dropped in commit 67892da099357e24b3fd3c31fa758947b1dfc47a

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 02 Jan 2021 17:33:30 +0000

## xed 3.0.2+uma

=== debian/changelog ===
xed (3.0.2+uma) uma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 25 Jun 2021 15:15:39 +0100

## xed 3.2.2+una

=== debian/changelog ===
xed (3.2.2+una) una; urgency=medium

  [ Oliver Kästner ]
  * Add missing type cast check (#507)

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 31 Dec 2021 13:05:01 +0000

xed (3.2.1) una; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Dec 2021 15:56:18 +0000

xed (3.2.0) una; urgency=medium

  [ okaestne ]
  * meson.build: keep temporary files between builds

  [ Clement Lefebvre ]
  * Add an option to hide the menubar
  * l10n: Update POT
  * Add Ctrl+Tab and Ctrl+Shift+Tab keybindings to notebook

  [ Oliver Kästner ]
  * Packaging: remove zenity dependency (#472)
  * Delete xed-prefs-manager-private.h (not used) (#471)
  * docs: Update reference and small fixes (#470)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 23 Nov 2021 10:32:31 +0000

xed (3.0.2) uma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 25 Jun 2021 15:15:39 +0100

=== debian/control ===
--- 
+++ 
@@ -33,8 +33,7 @@
          python3,
          python3-gi,
          gir1.2-gtksource-4,
-         xapps-common (>= 1.9.0),
-         zenity
+         xapps-common (>= 1.9.0)
 XB-Python-Version: ${python:Versions}
 Description: Text editor
  Xed is a text editor which supports most standard editor features,

## xed 3.2.7%2Belsie

=== debian/changelog ===
xed (3.2.7+elsie) vanessa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 24 Jul 2022 12:36:06 +0200

xed (3.2.6) vanessa; urgency=medium

  [ Michael Webster ]
  * textsize plugin: Fix extra accelerator bindings.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 21 Jul 2022 11:07:38 +0200

xed (3.2.5) vanessa; urgency=medium

  [ Disastrous-Cat-3103 ]
  * Update xed-time-plugin.c (#539)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 15 Jul 2022 15:24:04 +0200

xed (3.2.4) vanessa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 27 Jun 2022 13:55:01 +0200

xed (3.2.3) vanessa; urgency=medium

  [ camypaj ]
  * *backporting* the replace (all) shortcuts from gedit to xed - issue no. 509 (#510)

  [ Michael Webster ]
  * xed-searchbar.ui: enable mnemonic accelerator behavior for previous commit.

  [ Oliver Kästner ]
  * Update packaging (#511)
  * build: add install script for non-debian builds (#535)

  [ Garod Vindal ]
  * Update help file to better reflect current functionality (#523)

  [ Clement Lefebvre ]
  * CI: Update targets
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 15 Jun 2022 13:33:51 +0200

xed (3.2.2) una; urgency=medium

  [ Oliver Kästner ]
  * Add missing type cast check (#507)

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 31 Dec 2021 13:05:01 +0000

## xed 3.2.7+vanessa

=== debian/changelog ===
xed (3.2.7+vanessa) vanessa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 24 Jul 2022 12:36:06 +0200
